Bug 649802 - Review Request: perl-RT-Extension-CommandByMail - Change metadata of a RT ticket via email
Summary: Review Request: perl-RT-Extension-CommandByMail - Change metadata of a RT tic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 15:37 UTC by David Nalley
Modified: 2011-04-15 21:21 UTC (History)
5 users (show)

Fixed In Version: perl-RT-Extension-CommandByMail-0.07-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-13 17:25:40 UTC
rlandman: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description David Nalley 2010-11-04 15:37:37 UTC
Spec URL: http://ke4qqq.fedorapeople.org/perl-RT-Extension-CommandByMail.spec
SRPM URL: http://ke4qqq.fedorapeople.org/perl-RT-Extension-CommandByMail-0.07-1.fc14.src.rpm
Description: This extension allows you to manage tickets via RT's email interface. You put commands into beginning of a mail and extension applies them. See the list of commands in the RT::Interface::Email::Filter::TakeAction docs.

rpmlint output:
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/perl-RT-Extension-CommandByMail-0.07-1.fc14.src.rpm ./perl-RT-Extension-CommandByMail.spec ../RPMS/noarch/perl-RT-Extension-CommandByMail-0.07-1.fc14.noarch.rpm 
perl-RT-Extension-CommandByMail.src: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsus
perl-RT-Extension-CommandByMail.src: W: spelling-error %description -l en_US TakeAction -> Take Action, Take-action, Abreaction
perl-RT-Extension-CommandByMail.noarch: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsus
perl-RT-Extension-CommandByMail.noarch: W: spelling-error %description -l en_US TakeAction -> Take Action, Take-action, Abreaction
2 packages and 1 specfiles checked; 0 errors, 4 warnings.


Successful koji scratch build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2576432


A couple of notes: 

%test was effectively disabled. As noted in the documentation for the test suite to function, RT's configuration file must be modified. 

rt3 really is a buildrequires, as it actively looks for the configuration file during building. Leaving it out prompts for the location of the configuration file. (You can see a failed koji build here showing the problem:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2576427  )

Comment 1 Ralf Corsepius 2010-11-05 13:10:57 UTC
(In reply to comment #0)

> rt3 really is a buildrequires, as it actively looks for the configuration file
> during building.
It doesn't. Makefile.PL actually looks for RT.pm (i.e. /usr/share/perl5/RT.pm) and retrieves a couple rt's system-wide configuration directories from there.
=> BR: perl(RT)


I haven't looked into the run-time requirements yet, but "R: rt3" certainly is too comprehensive, because the package actually only depends on very few perl-modules from rt3.


Also: The tests try to run /usr/sbin/rt-mailgate (rt-mailgate is not part of the main rt3 package)
=> BR: /usr/sbin/rt-mailgate


Finally: Consider to extend the rpm-spec to support a --with tests option, such that people with an rt3 installation can test the tests.

Comment 2 David Nalley 2010-11-17 21:35:22 UTC
Ralf: 

Thanks for taking a look. 
I think I have fixed all of the issues you have identified. 
SPEC: http://ke4qqq.fedorapeople.org/perl-RT-Extension-CommandByMail.spec
SRPM: http://ke4qqq.fedorapeople.org/perl-RT-Extension-CommandByMail-0.07-2.fc14.src.rpm

Comment 3 Christos Triantafyllidis 2011-03-04 18:28:50 UTC
Hi David,
   i did a quick review on this, i have only 3 comments:
a) rpmlint on spec file returns an easy solvable warning:
W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 18)

b) I see that you have a requirement for "rt3" but i think that the real requirement (at least according to the perl sources) is for "perl(RT::Interface::Email)" which indeed is provided by rt3.

c) I think that "BuildArch: noarch" is not needed.

Regards,
Christos
PS: I can't act as reviewer so take my comments as advices.

Comment 4 Ruediger Landmann 2011-03-09 05:19:44 UTC
David, I concur with Christos' comments; please fix these and I think we're done here.

Comment 5 David Nalley 2011-03-10 20:12:38 UTC
(In reply to comment #3)
 
> c) I think that "BuildArch: noarch" is not needed.

Hi Christos, Can you tell me why you think BuildArch: noarch needs to be eliminated. This is code that is compiled at runtime, instead of during packaging. Is there some benefit I am missing? 

I've fixed the other issues you found. 

SPEC: http://ke4qqq.fedorapeople.org/perl-RT-Extension-CommandByMail.spec
SRPM:
http://ke4qqq.fedorapeople.org/perl-RT-Extension-CommandByMail-0.07-3.fc14.src.rpm

Thanks!!!

Comment 6 Christos Triantafyllidis 2011-03-11 14:19:02 UTC
Hi David,
    if i'm not mistaken, "BuildArch: noarch", doesn't specify which arch will be used for the building time so omitting it shouldn't break anything.

   On the other hand, adding this enforces the package to create noarch RPMs even if they have arch based components.

   Again i may be wrong to this so i guess the best would be if Ruediger could comment on this as the official reviewer.

Christos

PS: As unofficial reviewer, i'm happy with either including or excluding the BuildArch tag.

Comment 7 Ruediger Landmann 2011-03-14 04:29:27 UTC
(In reply to comment #6)

>    Again i may be wrong to this so i guess the best would be if Ruediger could
> comment on this as the official reviewer.

Sorry for the confusion on this point; my eye somehow skipped over point c) in comment #3. 

Because the scripts installed by this package will be identical regardless of the architecture on which they're installed, we don't need to care about the arch on which the package is built. Therefore, we should indeed mark it "noarch" to indicate that.

David, this package looks fine to me now; thanks for bearing with us! :)

ACCEPT

 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [/] Rpmlint output is clean:
$ rpmlint SPECS/perl-RT-Extension-CommandByMail.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/perl-RT-Extension-CommandByMail-0.07-3.fc14.src.rpm
perl-RT-Extension-CommandByMail.src: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsus
perl-RT-Extension-CommandByMail.src: W: spelling-error %description -l en_US TakeAction -> Take Action, Take-action, Abreaction
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
$ rpmlint RPMS/noarch/perl-RT-Extension-CommandByMail-0.07-3.fc14.noarch.rpm
perl-RT-Extension-CommandByMail.noarch: W: spelling-error Summary(en_US) metadata -> meta data, meta-data, metatarsus
perl-RT-Extension-CommandByMail.noarch: W: spelling-error %description -l en_US TakeAction -> Take Action, Take-action, Abreaction
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
 
 [/] Package is named according to the Package Naming Guidelines.
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific
items
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [/] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic

 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
$ md5sum SOURCES/RT-Extension-CommandByMail-0.07.tar.gz 
0352670f89246150c9cadabaac9fd167  SOURCES/RT-Extension-CommandByMail-0.07.tar.gz
$ md5sum ~/Download/RT-Extension-CommandByMail-0.07.tar.gz 
0352670f89246150c9cadabaac9fd167  /home/rlandmann/Download/RT-Extension-CommandByMail-0.07.tar.gz

 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2909730
 [/] Package is not known to require ExcludeArch
 [/] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [/] Package does not bundle copies of system libraries
 [/] Package is not relocatable.
 [/] Package must own all directories that it creates.
 [/] Package does not contain duplicates in %files.
 [/] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8

Comment 8 David Nalley 2011-03-14 23:03:38 UTC
Thanks for the review Rudi and Christos!

New Package SCM Request
=======================
Package Name: perl-RT-Extension-CommandByMail 
Short Description: Change metadata of a RT ticket via email
Owners: ke4qqq
Branches: f14, f15, el5, el6
InitialCC:

Comment 9 Jason Tibbitts 2011-03-14 23:14:39 UTC
This ticket is not assigned to anyone.  It should be assigned to the reviewer.

Please fix and re-raise the fedora-cvs flag.

Comment 10 David Nalley 2011-03-14 23:17:40 UTC
New Package SCM Request
=======================
Package Name: perl-RT-Extension-CommandByMail 
Short Description: Change metadata of a RT ticket via email
Owners: ke4qqq
Branches: f14 f15 el5 el6
InitialCC:

Comment 11 Jason Tibbitts 2011-03-15 02:35:50 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-03-28 11:04:31 UTC
perl-RT-Extension-CommandByMail-0.07-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-RT-Extension-CommandByMail-0.07-3.fc14

Comment 13 Fedora Update System 2011-03-28 11:05:28 UTC
perl-RT-Extension-CommandByMail-0.07-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-RT-Extension-CommandByMail-0.07-3.fc15

Comment 14 Fedora Update System 2011-03-28 11:09:04 UTC
perl-RT-Extension-CommandByMail-0.07-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-RT-Extension-CommandByMail-0.07-3.el6

Comment 15 Fedora Update System 2011-03-28 17:30:55 UTC
perl-RT-Extension-CommandByMail-0.07-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2011-04-13 17:25:33 UTC
perl-RT-Extension-CommandByMail-0.07-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2011-04-13 20:50:21 UTC
perl-RT-Extension-CommandByMail-0.07-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 18 Fedora Update System 2011-04-15 21:21:42 UTC
perl-RT-Extension-CommandByMail-0.07-3.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.